Create a backup of a VPS
curl --request POST \
--url https://api.storiza.store/vps/{vpsId}/backups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>'})
};
fetch('https://api.storiza.store/vps/{vpsId}/backups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps/{vpsId}/backups"
payload = { "description": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "Backup job created successfully",
"data": {
"backup": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "Backup #1",
"description": "Example backup",
"status": "pending",
"statusText": "Pending",
"isExpired": false,
"vps": {
"id": "00000000-0000-4000-8000-000000000000"
},
"sizeMB": 10240,
"size": {
"mb": 10240,
"gb": 10
},
"isCancelled": false,
"createdAt": "2026-10-09T14:57:34.007Z",
"updatedAt": "2026-10-09T14:57:34.007Z"
},
"vpsId": "<string>",
"status": "<string>",
"message": "<string>"
}
}Server backups
Create a backup of a VPS
Queues the backup job for the VPS and returns the newly created backup record in creating state.
Required API key permission: vps:write
POST
/
vps
/
{vpsId}
/
backups
Create a backup of a VPS
curl --request POST \
--url https://api.storiza.store/vps/{vpsId}/backups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>'})
};
fetch('https://api.storiza.store/vps/{vpsId}/backups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.storiza.store/vps/{vpsId}/backups"
payload = { "description": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "Backup job created successfully",
"data": {
"backup": {
"id": "00000000-0000-4000-8000-000000000000",
"name": "Backup #1",
"description": "Example backup",
"status": "pending",
"statusText": "Pending",
"isExpired": false,
"vps": {
"id": "00000000-0000-4000-8000-000000000000"
},
"sizeMB": 10240,
"size": {
"mb": 10240,
"gb": 10
},
"isCancelled": false,
"createdAt": "2026-10-09T14:57:34.007Z",
"updatedAt": "2026-10-09T14:57:34.007Z"
},
"vpsId": "<string>",
"status": "<string>",
"message": "<string>"
}
}Authorizations
An API key from the Storiza dashboard (API & Integrations), sent as Authorization: Bearer stz_….
Path Parameters
Minimum string length:
1Body
application/json
Maximum string length:
500Was this page helpful?